Get a build
curl --request GET \
--url https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/builds/{buildId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/builds/{buildId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qlty.sh/gh/{ownerKeyOrId}/projects/{projectKeyOrId}/builds/{buildId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "analysis",
"status": "succeeded",
"branchName": "main",
"commitSha": "9c9a4c4a1e6bb01b2fbd7f5e1c0b4a2d3e5f6a7b",
"commitMessage": "Fix the bug",
"submittedAt": "2026-01-01T12:00:00Z",
"finishedAt": "2026-01-01T12:01:35Z",
"queueSeconds": 5,
"statusReason": null,
"conclusion": "succeeded",
"exitCode": 0,
"source": "github_push",
"pullRequestNumber": null,
"committerLogin": "octocat",
"startedAt": "2026-01-01T12:00:05Z",
"executionSeconds": 90
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}{
"errors": [
{
"status": "400",
"title": "Bad Request",
"detail": "The request was invalid."
}
]
}Builds
Get a build
Retrieves details about a specific Build
GET
/
gh
/
{ownerKeyOrId}
/
projects
/
{projectKeyOrId}
/
builds
/
{buildId}
Get a build
Authorizations
Generate an API token at https://qlty.sh/user/settings/tokens
Path Parameters
Repository owner name (login) or workspace ID
Minimum string length:
3Example:
"acme-corp"
Repository name or project ID
Minimum string length:
3Example:
"my-repo"
Build ID
Minimum string length:
3Example:
"550e8400-e29b-41d4-a716-446655440000"
Response
Retrieve the build
Example:
"550e8400-e29b-41d4-a716-446655440000"
Available options:
analysis, format, ssh, coverage_setup Example:
"analysis"
Most recent status reported for the build
Available options:
submitted, starting, running, succeeded, failed, skipped, rejected Example:
"succeeded"
Example:
"main"
Example:
"9c9a4c4a1e6bb01b2fbd7f5e1c0b4a2d3e5f6a7b"
Example:
"Fix the bug"
Example:
"2026-01-01T12:00:00Z"
Example:
"2026-01-01T12:01:35Z"
Example:
5
Explanation for the current status, when one was reported
Example:
null
Terminal outcome, or null while the build is unfinished
Available options:
succeeded, failed Example:
"succeeded"
Example:
0
Example:
"github_push"
Example:
42
Example:
"octocat"
Example:
"2026-01-01T12:00:05Z"
Example:
90